/*
 * Class BOX [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_549 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_549 [] = {0xFF01,237,548,215,0xFFFF};
static const EIF_TYPE_INDEX egt_2_549 [] = {0xFF01,548,215,0xFFFF};
static const EIF_TYPE_INDEX egt_3_549 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_549 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_549 [] = {0xFF01,548,215,0xFFFF};
static const EIF_TYPE_INDEX egt_6_549 [] = {0xFF01,548,215,0xFFFF};
static const EIF_TYPE_INDEX egt_7_549 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_549 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_549 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_549 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_549 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_549 [] = {548,215,0xFFFF};
static const EIF_TYPE_INDEX egt_13_549 [] = {0xFF01,548,215,0xFFFF};
static const EIF_TYPE_INDEX egt_14_549 [] = {0xFF01,535,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_549 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_549[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_549), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_549), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_549), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_549), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_549), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_549), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_549), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_549), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_549), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_549), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_549), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_549), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_549), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_549), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1886, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1887, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1888, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1889, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_549), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_549), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init549(void)
{
	IDSC(desc_549, 0, 548);
	IDSC(desc_549 + 1, 1, 548);
	IDSC(desc_549 + 32, 77, 548);
	IDSC(desc_549 + 41, 35, 548);
}


#ifdef __cplusplus
}
#endif
